<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_dir"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        android:layout_marginTop="5dp"
        android:layout_marginRight="15dp"
        android:layout_marginBottom="5dp"
        app:cardCornerRadius="15dp"
        app:contentPaddingBottom="10dp"
        app:contentPaddingLeft="15dp"
        app:contentPaddingRight="30dp"
        app:contentPaddingTop="10dp">

        <TextView
            android:singleLine="true"
            android:ellipsize="end"
            android:id="@+id/tv_dir"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:drawableLeft="@drawable/ic_dir"
            android:drawableRight="@drawable/ic_next"
            android:drawablePadding="12dp"
            android:gravity="center_vertical"
            android:textColor="#ff333333"
            android:textSize="15sp"
            tools:text="课件1目录" />


    </androidx.cardview.widget.CardView>

    <RelativeLayout
        android:id="@+id/rl_file"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        android:layout_marginTop="5dp"
        android:layout_marginRight="15dp"
        android:layout_marginBottom="5dp">

        <ImageView
            android:id="@+id/iv_file"
            android:layout_width="84dp"
            android:layout_height="84dp"
            android:src="@drawable/ic_file" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="84dp"
            android:layout_toLeftOf="@id/tv_delete"
            android:layout_toRightOf="@id/iv_file">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:orientation="vertical">

                <TextView
                    android:singleLine="true"
                    android:ellipsize="end"
                    android:id="@+id/tv_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="#ff333333"
                    android:textSize="15sp"
                    tools:text="城市基层党务工作者 .doc" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp">

                    <TextView
                        android:id="@+id/tv_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="10dp"
                        android:textColor="#ff999999"
                        android:textSize="13sp"
                        tools:text="2021-05-06 12:36" />

                    <TextView
                        android:id="@+id/tv_size"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="#FF216CE9"
                        android:textSize="13sp"
                        tools:text="132kb" />
                </LinearLayout>


            </LinearLayout>

        </FrameLayout>

        <TextView
            android:layout_marginLeft="10dp"
            android:id="@+id/tv_delete"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:drawableTop="@drawable/ic_delete"
            android:drawablePadding="3dp"
            android:text="删除"
            android:textColor="#ffff4330"
            android:textSize="12sp" />

    </RelativeLayout>


</LinearLayout>